---
title: "Archive a Group"
slug: "archive-a-group"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a Group

Post/api/v1/groups.archive

Archive a private channel. You need the `archive-room` permission.

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='5ef1e361-cb49-4e0c-bc6e-f168080d9241'>application/json</option>
</select>object  roomIdstring    Required

The group ID that you want to archive. You can find the IDs by using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='a9730050-02e1-43ec-941f-e73b398a8506'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='8158606d-a597-47b2-b09d-6a6cb9be53c9'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='b4d5181f-caaf-4824-ac8a-b2d8515f2574'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a36f2c09-8c61-4c01-a4e5-defff88e1fb4'>No permission</option>
</select>No permission

```json
{
  "success": false,
  "error": "Not authorized [error-not-authorized]",
  "errorType": "error-not-authorized",
  "details": {
    "method": "archiveRoom"
  }
}
```

Expand Allobject  successboolean    
errorstring    
errorTypestring    
detailsobject  methodstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='20a441b2-6762-4350-83f6-db5ba12d8f17'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e57352cb-5a34-4dce-9712-902a6150b38f'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
